package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CpsContentInfo;

/**
 * 发布内容Service接口
 *
 * @author ruoyi
 * @date 2024-08-14
 */
public interface ICpsContentInfoService
{
    /**
     * 查询发布内容
     *
     * @param id 发布内容主键
     * @return 发布内容
     */
    public CpsContentInfo selectCpsContentInfoById(Long id);

    /**
     * 查询发布内容列表
     *
     * @param cpsContentInfo 发布内容
     * @return 发布内容集合
     */
    public List<CpsContentInfo> selectCpsContentInfoList(CpsContentInfo cpsContentInfo);

    /**
     * 新增发布内容
     *
     * @param cpsContentInfo 发布内容
     * @return 结果
     */
    public int insertCpsContentInfo(CpsContentInfo cpsContentInfo);

    /**
     * 修改发布内容
     *
     * @param cpsContentInfo 发布内容
     * @return 结果
     */
    public int updateCpsContentInfo(CpsContentInfo cpsContentInfo);

    /**
     * 批量删除发布内容
     *
     * @param ids 需要删除的发布内容主键集合
     * @return 结果
     */
    public int deleteCpsContentInfoByIds(Long[] ids);

    /**
     * 删除发布内容信息
     *
     * @param id 发布内容主键
     * @return 结果
     */
    public int deleteCpsContentInfoById(Long id);

    public void updateCollectContent(Long id,String openId);

    void updateDisCollectContent(Long id, String openId);

    void updateLikeContent(Long id,String openId);

    void updateDisLikeContent(Long id,String openId);
}
